import { PureComponent } from 'react';
import { IFileInputProps } from '../types';
export default class FileInput extends PureComponent<IFileInputProps> {
    inputRef: import("react").RefObject<HTMLInputElement>;
    open: () => void;
    private onFileInputChange;
    private onFileInputClick;
    render(): JSX.Element;
}
